#
# spec file for package rubygem-autoprefixer-rails
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-autoprefixer-rails
Version:        10.4.16.0
Release:        1.3
%define mod_name autoprefixer-rails
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.4}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/ai/autoprefixer-rails
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Parse CSS and add vendor prefixes to CSS rules using values from the
License:        MIT

%description
Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use
website.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- ## 10.4.16.0
  * Improved performance (by Romain Menke).
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- ## 10.4.15.0
  * Improved startup time and reduced JS bundle size (by Kārlis Gaņģis).
  * Fixed `::backdrop` prefixes (by 一丝).
  [#]# 10.4.13.0
  * Fixed missed prefixes on vendor prefixes in name of CSS Custom Property.
  * Fixed support of unit-less zero angle in backgrounds (by 一丝).
  * Fixed `text-decoration` prefixes by moving to MDN data (by Romain Menke).
  * Fixed `unicode-bidi` prefixes by moving to MDN data.
  * Fixed `css-unicode-bidi` issue from latest Can I Use.
  * Do not print `color-adjust` warning if `print-color-adjust` also is in rule.
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 10.4.7.0
  see installed CHANGELOG.md
  [#]# 10.4.7.0
  * Fixed `print-color-adjust` support in Firefox.
  * Fixed `print-color-adjust` support.
  * Fixed `NaN` in grid (by @SukkaW).
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 10.4.2.0
  see installed CHANGELOG.md
  [#]# 10.4.2.0
  * Fixed missed `-webkit-` prefix for `width: stretch`.
  * Fixed `::file-selector-button` data (by Luke Warlow).
  * Ensure sprockets-rails is loaded before autoprefixer-rails (by Thomas Morgan)
  [#]# 10.4.0.0
  * Added `:autofill` support (by Luke Warlow).
  [#]# 10.3.3.0
  * Fixed `::file-selector-button` support (by Usman Yunusov).
  * Fixed wrong `-moz-` prefix from  `::file-selector-button` (by Usman Yunusov).
  [#]# 10.3.1.0
  * Added `::file-selector-button` support (by Luke Warlow).
  * Fixed adding wrong prefixes to `content` (by Luke Warlow).
  * Fix `ReferenceError: Can't find variable: URL` (#213)
* Tue Jun  1 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 10.2.5.1
  * Remove nodejs version check via ExecJS, to be compatible with 2.8.1 (#203)
* Fri May 14 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 10.2.5.0
  * Fixed `:` support in `@supports` (by Dmitry Semigradsky).
  * Update Can I Use data.
  * Lock to execjs < 2.8.0 for now (#203)
* Sat Feb  6 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 10.2.4.0
  * Fixed transition-property warnings (by @Sheraff).
* Wed Jan 20 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 10.2.0.0
  * Added TypeScript definitions (by Dmitry Semigradsky).
  * Fixed docs (by Florian Pellet).
  * Update Can I Use data.
  * Update postcss to 8.2.2
* Fri Dec 11 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 10.1.0.0
  * Fixed `Cannot read property 'proxyOf' of undefined` error (by Igor Kamyshev).
  * Added `dpcm` unit support to `min-resolution: 2dppx` (by Robert Eisele).
  * Fixed rational approximation in `min-resolution` (by Robert Eisele).
* Tue Nov 10 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 10.0.1.3
  [#]# 10.0.1.3
  * Fix `fileURL.replace is not a function` when reporting warnings (#194)
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 10.0.0.2
  see installed CHANGELOG.md
  [#]# 10.0.0.2
  * Update postcss to 8.0.5
  * Update browserslist & caniuse-lite
  [#]# 10.0.0.1
  * Improved error message for old environments.
  * Reduced gem file size.
  [#]# 10.0 “Alis volat propriis”
  * Removed support for Node.js 6.x, 8.x, 11.x.
  * Moved to PostCSS 8.
  [#]# 9.8.6.5
  * Fix `9.8.6.4` regression.
  [#]# 9.8.6.4
  * Remove deprecation warnings.
* Sat Sep 12 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.8.6.3
  * Fix deprecation warning for non-Rails environment.
* Sat Aug 22 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.8.6.2
  * Print deprecation warning only once.
* Mon Jul 13 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.8.5
  * Improved Grid Layout warnings (by Daniel Tonon).
* Sat Jun 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.8.4
  [#]# 9.8.4
  * Reduce JS bundle size.
  [#]# 9.8.3
  * Update Can I Use data.
  [#]# 9.8.2
  * Update Can I Use data.
  [#]# 9.8.1
  * Replace `chalk` to `kleur` (by Luke Edwards).
  [#]# 9.8 “Vigilo Confido”
  * Add `:placeholder-shown` support (by Tanguy Krotoff).
* Mon Apr 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.7.6
  * Revert -webkit-stretch fix.
* Mon Jan 27 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.7.4
  * Update Can I Use data.
* Sat Dec 14 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.7.3
  * Update Can I Use data.
* Thu Nov 28 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.7.2
  * Add -ms-user-select: element support.
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.7.1
  * Avoid unnecessary transitions in prefixed selectors (by Andrey Alexandrov).
  * Fix `fit-content` for Firefox.
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 9.6.1
  [#]# 9.6.1
  * Fix `-webkit-line-clamp` truncating multi-line text support.
  [#]# 9.6 “Nunc id vides, nunc ne vides”
  * Add warning-less `overrideBrowserslist` option.
  * Add `text-orientation` support.
  * Add `min-resolution: 2x` alias support.
* Fri May 17 2019 Lukas Krause <lukas.krause@suse.com>
- update to version 9.5.1.1
  see installed CHANGELOG.md
  [#]# 9.5.1.1
  * Fix register_postprocessor' for nil:NilClass error.
  * Update Can I Use data.
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 9.5.1
  see installed CHANGELOG.md
  [#]# 9.5.1
  * Fix `backdrop-filter` for Edge (by Oleh Aloshkin).
  * Fix `min-resolution` media query support in Firefox < 16.
* Mon Mar 18 2019 manuel <mschnitzer@suse.com>
- updated to version 9.5.0
  * Add mask-composite support (by Semen Levenson).
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 9.4.10.2
  see installed CHANGELOG.md
  [#]# 9.4.10.2
  * Fix Ruby < 2.4 support (by Jack Ford).
  * Update Can I Use data.
  [#]# 9.4.10.1
  * Fix non-Rails environments support (by Junya Ogura).
  * Update Can I Use data.
  [#]# 9.4.10
  * Add warning for named Grid rows.
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 9.4.9
  see installed CHANGELOG.md
  [#]# 9.4.9
  * Fix `grid-template` and `@media` case (by Bogdan Dolin).
  [#]# 9.4.8
  * Fix `calc()` support in Grid gap.
  [#]# 9.4.7
  * Fix infinite loop on mismatched parens.
  [#]# 9.4.6
  * Fix warning text (by Albert Juhé Lluveras).
* Mon Jan 14 2019 mschnitzer@suse.com
- updated to version 9.4.5
  * Fix text-decoration-skip-ink support.
  from version 9.4.4:
  * Use direction value for -ms-writing-mode (by Denys Kniazevych).
  * Fix warning text (by @zzzzBov).
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to version 9.4.3
  see installed CHANGELOG.md
  [#]# 9.4.3
  * Add warning to force `flex-start` instead of `start` (by Antoine du Hamel).
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 9.4.2
  see installed CHANGELOG.md
  [#]# 9.4.2
  * Fix Grid autoplacment warning.
  [#]# 9.4.1
  * Fix unnecessary Flexbox prefixes in Grid elements.
  [#]# 9.4 “Advance Australia”
  * Add Grid autoplacment for `-ms-` (by Bogdan Dolin).
  * Improve warnings (by Daniel Tonon).
  * Remove some unnecessary warnings for Grid (by Andrey Alexandrov).
* Mon Oct 29 2018 mschnitzer@suse.com
- updated to version 9.3.1
  * Fix Grid prefixes with `repeat()` value (by Bogdan Dolin).
  [#] Fixes in previous versions
    [#]# 9.3 “Labor omnia vincit”
  * Add `place-self` support (by Bogdan Dolin).
  * Fix Grid row/column span inheritance bug (by Bogdan Dolin).
    [#]# 9.2.1
  * Update Can I Use data.
    [#]# 9.2 “Ony est glavnaya krepost”
  * Add `/* autoprefixer grid: on */` control comment (by Andrey Alexandrov).
  * Add duplicate `grid-area` support (by Bogdan Dolin).
  * Fix `grid-gap` support for rules with different specifity (by Bogdan Dolin).
  * Disable Grid in `@supports` at-rule with non-supported Grid features.
  * Improve Grid warnings (by Daniel Tonon).
* Wed Sep  5 2018 coolo@suse.com
- updated to version 9.1.4
  see installed CHANGELOG.md
  [#]# 9.1.4
  * Fix `ExecJS` runtime test (by Patrice Chalin).
* Fri Aug 24 2018 mschnitzer@suse.com
- updated to version 9.1.3
  * Sort properties in `rake autoprefixer` alphabetically.
  * Fix old Firefox gradient prefix.
* Mon Aug 20 2018 mschnitzer@suse.com
- updated to version 9.1.2
  * Fix `autoprefixer --info` in new Node.js.
  * Fix ExecJS runtime warning.
* Mon Aug 13 2018 mschnitzer@suse.com
- updated to version 9.1.1
  * Retain `grid-gap` through `@media` (by Bogdan Dolin).
  * Fix `grid-template` and  `@media` (by Bogdan Dolin).
  * Fix Grid areas searching error (by Bogdan Dolin).
  * Fix `span X` Grid prefix (by Bogdan Dolin).
  * Fix `log2` error.
* Fri Aug  3 2018 mschnitzer@suse.com
- updated to version 9.1.0
  * Add `background-clip: text` support.
  * Fix adding Grid span for IE (by Bogdan).
* Tue Jul 31 2018 mschnitzer@suse.com
- updated to version 9.0.2
  * Show warning on Grid area names conflict (by Bogdan).
  * Fix ExecJS warning (by Jan Kmet).
- updated to version 9.0.1
  * Fix nested at-rules in Grid prefixes (by Ivan Malov).
* Tue Jul 17 2018 factory-auto@kulow.org
- updated to version 9.0.0
  see installed CHANGELOG.md
  [#]# 9.0 “A Mari Usque Ad Mare”
  * Remove Node.js 9 and Node.js 4 support.
  * Remove RubyRacer and Sprockets 3 support.
  * Use PostCSS 7.0.
  * Use Browserslist 4.0.
* Fri Jul  6 2018 factory-auto@kulow.org
- updated to version 8.6.5
  see installed CHANGELOG.md
  [#]# 8.6.5
  * Do not show Grid warnings if IE was not selected.
* Tue Jun 26 2018 factory-auto@kulow.org
- updated to version 8.6.4
  see installed CHANGELOG.md
* Tue Jun 26 2018 factory-auto@kulow.org
- updated to version 8.6.4
  see installed CHANGELOG.md
  [#]# 8.6.4
  * Fix `stretch` prefix in Chrome >= 46.
* Mon Jun 18 2018 factory-auto@kulow.org
- updated to version 8.6.3
  see installed CHANGELOG.md
  [#]# 8.6.3
  * Add warnings for unsupported Grid features.
  * Add warnings about wrong Grid properties.
  * Add note about `grid` option for grid properties in `rake autoprefixer`.
* Sat Jun  9 2018 factory-auto@kulow.org
- updated to version 8.6.2
  see installed CHANGELOG.md
  [#]# 8.6.2
  * Fix error during adding Grid prefixes in `@media` (by Evgeny Petukhov).
* Thu Jun  7 2018 factory-auto@kulow.org
- updated to version 8.6.1
  see installed CHANGELOG.md
  [#]# 8.6.1
  * Fix `grid-template` with media queries (by Evgeny Petukhov).
* Sat Jun  2 2018 factory-auto@kulow.org
- updated to version 8.6.0
  see installed CHANGELOG.md
  [#]# 8.6 “Follow Reason”
  * Add `gap` support (by Evgeny Petukhov).
  * Add two values support for `grid-gap` and `gap` (by Evgeny Petukhov).
* Wed May 30 2018 factory-auto@kulow.org
- updated to version 8.5.2
  see installed CHANGELOG.md
  [#]# 8.5.2
  * Fix `grid-template` support wit auto row sizes (by Yury Timofeev).
* Fri May 25 2018 factory-auto@kulow.org
- updated to version 8.5.1
  see installed CHANGELOG.md
  [#]# 8.5.1
  * Remove unnecessary warning on `-webkit-fill-available`.
* Wed May 16 2018 factory-auto@kulow.org
- updated to version 8.5.0
  see installed CHANGELOG.md
  [#]# 8.5 “Muito Nobre e Sempre Leal”
  * Add `grid-gap` support (by Evgeny Petukhov).
  * Fix radial gradients direction fix.
* Sun Apr 29 2018 factory-auto@kulow.org
- updated to version 8.4.1
  see installed CHANGELOG.md
  [#]# 8.4.1
  * Fix non-related to Ruby issue.
* Sat Apr 28 2018 factory-auto@kulow.org
- updated to version 8.4.0
  see installed CHANGELOG.md
  [#]# 8.4 “Non in aves, sed in angues”
  * Add `/* autoprefixer: ignore next */` control comment (by Pavel Vostrikov).
* Thu Apr 26 2018 factory-auto@kulow.org
- updated to version 8.3.0.1
  see installed CHANGELOG.md
  [#]# 8.3.0.1
  * Remove Opera Mobile 12.1 from default browsers.
  * Update Can I Use data.
* Mon Apr 16 2018 factory-auto@kulow.org
- updated to version 8.3.0
  see installed CHANGELOG.md
  [#]# 8.3 “Benigno Numine”
  * Add `@media` support to `grid-template` (by Evgeny Petukhov).
  * Fix `radial-gradient` direction warning (by Gustavo Real).
* Thu Mar 22 2018 factory-auto@kulow.org
- updated to version 8.2.0
  see installed CHANGELOG.md
  [#]# 8.2 “Ad Astra per Aspera”
  * Add `color-adjust` (by Sergey Lysenko, Stanislav Botev, and Yuriy Alekseyev).
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 8.1.0.1
  see installed CHANGELOG.md
  [#]# 8.1.0.1
  * Add more clear error on missed browser version.
* Sat Mar  3 2018 factory-auto@kulow.org
- updated to version 8.1.0
  see installed CHANGELOG.md
  [#]# 8.1 “Rex, Familia et Ultio”
  * Add `overscroll-behavior` support.
  * Add `grid-template` shortcut support (by Evgeny Petukhov).
  * Add better `grid-column-end` and `grid-row-end` support (by Evgeny Petukhov).
  * Fix Grid properties support in `@supports`.
* Mon Feb 12 2018 factory-auto@kulow.org
- updated to version 8.0.0
  see installed CHANGELOG.md
  [#]# 8.0 “Excelsior”
  * Use Browserslist 3.0.
  * Remove `break-*` to `page-break-*` conversion for Firefox.
* Sat Feb 10 2018 factory-auto@kulow.org
- updated to version 7.2.6
  see installed CHANGELOG.md
  [#]# 7.2.6
  * Fix `-ms-` prefix for grid cells with same `grid-area` (by Evgeny Petukhov).
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 7.2.5
  see installed CHANGELOG.md
  [#]# 7.2.5
  * Fix multiple prefixes in declaration value.
* Tue Jan  9 2018 coolo@suse.com
- updated to version 7.2.4
  see installed CHANGELOG.md
  [#]# 7.2.4
  * Update Can I Use data.
* Thu Dec 14 2017 coolo@suse.com
- updated to version 7.2.3
  see installed CHANGELOG.md
  [#]# 7.2.3
  * Fix `grid-template-areas` in `@media` (by Evgeny Petukhov).
  [#]# 7.2.2
  * Fix `_autoprefixerDisabled is undefined` issue.
  [#]# 7.2.1
  * Fix IE and other old JS runtimes support.
* Sun Dec  3 2017 coolo@suse.com
- updated to version 7.2.0
  see installed CHANGELOG.md
  [#]# 7.2 “Ordem e Progresso”
  * Add `grid-template-areas` support (by Evgeny Petukhov).
  * Add `grid-template` support (by Evgeny Petukhov).
  * Add `grid-area` support (by Alexey Komarov).
  * Add `autoprefixer-info` CLI tool.
  * Add wrong `radial-gradient` properties warning.
  * Use current working dir on missed `from` in `info()` (by Phil Dokas).
  * Fix `grid-row` and `grid-column` support (by Alexey Komarov).
  * Do not prefix `reverse` animation direction.
  * Improve test coverage (by Dmitry Semigradsky).
* Thu Oct 26 2017 coolo@suse.com
- updated to version 7.1.6
  see installed CHANGELOG.md
  [#]# 7.1.6
  * Add warning for using `browserslist` option instead of `browsers`.
  * Add warning for multiple control comments in the same scope.
  * Fix `Invalid array length` error during indent changes.
* Wed Oct 11 2017 coolo@suse.com
- updated to version 7.1.5
  see installed CHANGELOG.md
  [#]# 7.1.5
  * Fix `::placeholder` prefix for Edge.
  * Fix `inherit`/`initial`/`unset` values for `flex-direction`.
  * Fix RegExp usage in gradients (by Yet Another Minion).
  [#]# 7.1.4.1
  * Update PostCSS.
  * Update Can I Use data.
* Thu Sep  7 2017 mmeister@suse.com
-  updated to 7.1.4
  see installed CHANGELOG.md
  [#]# 7.1.4
  * Fix `radial-gradient` direction conversion.
  * Fix `image-set` in `cursor`.
* Sun Sep  3 2017 coolo@suse.com
- updated to version 7.1.3
  see installed CHANGELOG.md
  [#]# 7.1.3
  * Add warning for old `radial-gradient` direction syntax.
  * Add `last n major versions` browser query.
  [#]# 7.1.2.6
  * Fix `.browserslistrc` support
  [#]# 7.1.2.5
  * Fix `> 0` query for browsers with one version.
  * Update Can I Use data.
  [#]# 7.1.2.4
  * Add `unreleased versions` and `unreleased Chrome versions` browsers queries.
  * Update Can I Use data.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 7.1.2.3
  see installed CHANGELOG.md
  [#]# 7.1.2.3
  * Add region usage statistics support.
  * Fix base64 decoding for old Node.js.
  * Update Can I Use data.
  [#]# 7.1.2.2
  * Fix working with empty `autoprefixer.yml` (by Murahashi Kenichi).
  [#]# 7.1.2.1
  * Fix loading `autoprefixer.yml` from engines (by Jim Ryan).
  [#]# 7.1.2
  * Fix `text-decoration` shortcut support.
  [#]# 7.1.1.3
  * Update Can I Use data.
  * Update PostCSS.
* Tue Jun 13 2017 coolo@suse.com
- updated to version 7.1.1.2
  see installed CHANGELOG.md
  [#]# 7.1.1.2
  * Update Can I Use data.
  * Update Browserslist.
  [#]# 7.1.1.1
  * Update Can I Use data.
  * Update Browserslist.
  * Update PostCSS.
* Tue May 23 2017 coolo@suse.com
- updated to version 7.1.1
  see installed CHANGELOG.md
  [#]# 7.1.1
  * Remove non-`-webkit-` intrinsic prefixes in Grid Layout (by 一丝).
  [#]# 7.1 “Universitas litterarum”
  * Add `unicode-bidi` support.
  * Add `-webkit-appearance` support for Edge.
  * Fix intrinsic widths prefixes in Grid Layout.
  [#]# 7.0.1
  * Fix `therubyracer` support.
  [#]# 7.0 “Coelestem adspicit lucem”
  * Remove node.js 0.12 support.
  * Use PostCSS 6.0.
  * Use Browserslist 2.
  * Use `caniuse-lite` instead of `caniuse-db` (by Ben Briggs).
  * Rewrite project from CoffeeScript to Babel (by Dmitry Semigradsky).
  * Disable Grid Layout prefixes for IE by default.
  * Fix `-ms-grid-column-align`.
* Fri Apr 14 2017 coolo@suse.com
- updated to version 6.7.7.2
  see installed CHANGELOG.md
  [#]# 6.7.7.2
  * Update Can I Use data.
  * Update PostCSS.
* Wed Mar 22 2017 coolo@suse.com
- updated to version 6.7.7.1
  see installed CHANGELOG.md
  [#]# 6.7.7.1
  * Update Firefox ESR.
  * Update Can I Use data.
* Thu Mar 16 2017 coolo@suse.com
- updated to version 6.7.7
  see installed CHANGELOG.md
  [#] Change Log
  [#]# 6.7.7
  * Fix `order` for non-digit values.
  [#]# 6.7.6
  * Fix `font-kerning` (by Chi Vinh Le).
  [#]# 6.7.5
  * Fix `text-decoration-skip` in iOS (by Chi Vinh Le).
  * Fix `clip-path` (by Chi Vinh Le).
  [#]# 6.7.4
  * Improve `browsers` option perfomance.
  * Update CoffeeScript compiler.
  [#]# 6.7.3
  * Fix compatibility with “Intrinsic & Extrinsic Sizing” spec update.
* Tue Feb 14 2017 coolo@suse.com
- updated to version 6.7.2
  see installed CHANGELOG.md
  [#]# 6.7.2
  * Do not prefix grid/flexbox in `@supports` on `grid: false`/`flexbox: false`.
  [#]# 6.7.1
  * Update Browserslist to fix `last n version` query.
  * Update Can I Use data.
* Mon Jan 23 2017 coolo@suse.com
- updated to version 6.7.0
  see installed CHANGELOG.md
  [#]# 6.7 “Krungthep doot thep saang”
  * Add Electron support in browsers list (by Kilian Valkhof).
  * Add `flex-flow` partial support for Flexbox 2009 specification.
  * Fix browsers `0` version issue in some Can I Use data.
* Sat Jan 14 2017 coolo@suse.com
- updated to version 6.6.1
  see installed CHANGELOG.md
  [#]# 6.6.1
  * Update Can I Use data.
* Fri Dec 23 2016 coolo@suse.com
- updated to version 6.6.0
  see installed CHANGELOG.md
  [#]# 6.6 “Kaiyuan”
  * Add support for separated environments in browserslist config.
* Fri Dec 16 2016 coolo@suse.com
- updated to version 6.5.4
  see installed CHANGELOG.md
  [#]# 6.5.4
  * Fix unitless 0 basis in IE10/IE11 shorthand flex (by Google).
* Tue Dec  6 2016 coolo@suse.com
- updated to version 6.5.3.1
  see installed CHANGELOG.md
  [#]# 6.5.3.1
  * Update PostCSS to 5.2.6.
  * Update Can I Use data.
* Sat Nov 12 2016 coolo@suse.com
- updated to version 6.5.3
  see installed CHANGELOG.md
  [#]# 6.5.3
  * Add error for popular mistake with `browser` option instead of `browsers`.
  [#]# 6.5.2
  * Clean prefixes data (by Reinaldo Schiehll).
* Sat Oct 29 2016 coolo@suse.com
- updated to version 6.5.1.1
  see installed CHANGELOG.md
  [#]# 6.5.1.1
  * Better syntax error messages with PostCSS 5.2.5.
  * Update Can I Use data.
  [#]# 6.5.1
  * Fix selectors with `:--` prefix support.
* Sat Oct  8 2016 coolo@suse.com
- updated to version 6.5.0.2
  see installed CHANGELOG.md
  [#]# 6.5.0.2
  * Better CSS highlight by PostCSS 5.2.4.
  * Update Can I Use data.
  [#]# 6.5.0.1
  * Better syntax error output by PostCSS 5.2.3.
  * Update Can I Use data.
  [#]# 6.5 “Einigkeit und Recht und Freiheit”
  * Add `defaults` keyword to browsers requirements.
  * Fix CSS Grid Layout support.
  * Fix `align-self` cleaning.
* Mon Sep 12 2016 coolo@suse.com
- updated to version 6.4.1.1
  see installed CHANGELOG.md
  [#]# 6.4.1.1
  * Better syntax error output by PostCSS 5.2.
  * Update Can I Use data.
* Sat Sep  3 2016 coolo@suse.com
- updated to version 6.4.1
  see installed CHANGELOG.md
  [#]# 6.4.1
  * Fix node cloning.
  [#]# 6.4.0.3
  * Update Browserslist.
  * Update Can I Use data.
* Mon Aug 15 2016 coolo@suse.com
- updated to version 6.4.0.2
  see installed CHANGELOG.md
  [#]# 6.4.0.2
  * Fix `autoprefixer.js` loading path in some cases (by Pavan Trikutam)
  * Update Can I Use data.
* Sat Aug 13 2016 coolo@suse.com
- updated to version 6.4.0.1
  see installed CHANGELOG.md
  [#]# 6.4.0.1
  * Fix Sprockets 3 support (by Eda Riedl).
* Thu Aug  4 2016 coolo@suse.com
- updated to version 6.4.0
  see installed CHANGELOG.md
  [#]# 6.4 “Hic et ubique terrarum”
  * Add `:any-link` selector support.
  * Add `text-decoration-skip` support.
  * Add `transition: duration property` support.
  * Fix `-webkit-` prefix for `backface-visibility`.
  * Fix `rad` unit support in gradients (by 刘祺).
  * Fix `transition` support in Opera 12.
  * Fix warning in Sprokets 3.
  * Removed Safari TP Grid prefixes support.
* Mon Jul  4 2016 coolo@suse.com
- updated to version 6.3.7
  see installed CHANGELOG.md
  [#]# 6.3.7
  * Fix `browserslist` path detection (by Jose Luis Salas).
  * Fix rare `Cannot read property 'constructor' of null` issue.
  * Add space-less `>1%%` and `>.5%%` syntax support.
  * Clean `0` versions in some country-based requests.
  * Update Can I Use data.
* Wed Jun  1 2016 coolo@suse.com
- updated to version 6.3.6.2
  see installed CHANGELOG.md
  [#]# 6.3.6.2
  * Update Firefox ESR.
  * Update Can I Use data.
* Mon May 16 2016 coolo@suse.com
- updated to version 6.3.6.1
  see installed CHANGELOG.md
  [#]# 6.3.6.1
  * Fix source map for Sprockets 4 (by Richard Schneeman).
* Wed Apr  6 2016 coolo@suse.com
- updated to version 6.3.6
  see installed CHANGELOG.md
  [#]# 6.3.6
  * Add Safari TP prefix support for Grid Layout.
  [#]# 6.3.5
  * Fix duplicate prefixes for `-ms-interpolation-mode`.
* Tue Mar 22 2016 coolo@suse.com
- updated to version 6.3.4
  see installed CHANGELOG.md
  [#]# 6.3.4
  * Show users coverage for selected browsers in `.info` and Rake task.
* Wed Mar  2 2016 coolo@suse.com
- updated to version 6.3.3.1
  see installed CHANGELOG.md
  [#]# 6.3.3.1
  * Add Sprockets 4 support (by Richard Schneeman).
  * Add `AutoprefixerRails.uninstall()`.
  * Use `bundle_processor` for Sprockets 4 (by Adam Becker).
  * Clean gem dependency from `json` (by deepj).
  [#]# 6.3.3
  * Fix transition warning.
* Thu Feb 11 2016 coolo@suse.com
- updated to version 6.3.2
  see installed CHANGELOG.md
  [#]# 6.3.2
  * Update Can I Use data.
* Thu Jan 21 2016 coolo@suse.com
- updated to version 6.3.1
  see installed CHANGELOG.md
  [#]# 6.3.1
  * Fix compatibility with Flexibility polyfill.
  [#]# 6.3 “Pro rege et lege”
  * Add Grid Layout support.
  * Add `text-spacing` support.
  * Add `> 10%% in my stats` browsers query with custom usage statistics.
  * Add options to disable `@supports`, Flexbox or Grid support.
  * Fix compatibility with other PostCSS plugins.
  [#]# 6.2.3
  * Fix error on broken transition with double comma.
  [#]# 6.2.2
  * Fix issues in broken transitions.
  [#]# 6.2.1
  * Fix AST error in transition warning (by @jvdanilo).
* Sat Dec 19 2015 coolo@suse.com
- updated to version 6.2.0
  see installed CHANGELOG.md
  [#]# 6.2 “Fluctuat nec mergitur”
  * Use `fill` instead of `fill-available` according spec changes (by 一丝).
  * Add `fill` support for logical dimension properties (by 一丝).
  * Add `text-emphasis` support (by 一丝).
  * Add prefixes to `@supports` only for compatible browsers.
  * Add `rad`, `grad` and `turn` units support to linear gradients.
  * Add some `deg` directions support for old WebKit linear gradients.
  * Fix `@supports` parenthesis (by @heady).
  * Fix Rails without Assets Pipeline support (by Zach Denton).
  * Add warning when prefixes could not be generated
    for complicated `transition-property` values.
  * Add warning for outdated `fill-available` value.
  * Add warning for wrong `text-emphasis-position` value.
  * Add “time capsule” warning for prefix-less future.
  * Normalizes all warning messages.
* Tue Dec  1 2015 coolo@suse.com
- updated to version 6.1.2
  see installed CHANGELOG.md
  [#]# 6.1.2
  * Fix gradient hack on some parameters (by Alexey Efremov).
* Tue Nov 24 2015 coolo@suse.com
- updated to version 6.1.1
  see installed CHANGELOG.md
  [#]# 6.1.1
  * Fix `cursor: grab` and `cusror: grabbing` support.
* Fri Nov  6 2015 coolo@suse.com
- updated to version 6.1.0.1
  see installed CHANGELOG.md
  [#]# 6.1.0.1
  * Return old Rails integration to fix strange issues.
  [#]# 6.1 “Bil-shaʿb wa lil-shaʿb”
  * Change `transition` support to output more robust CSS.
  * Add `:read-only` support.
  * Add support for `appearance` with any values.
  * Add loud `/*! autoprefixer: off */` control comments support.
  * Convert `rotateZ` to `rotate` for `-ms-transform`.
  * Use `postcss-value-parser` to carefully work with gradients.
  * Remove `-ms-transform-style` and `-o-transform-style` that never existed.
* Fri Sep 18 2015 coolo@suse.com
- updated to version 6.0.3
  see installed CHANGELOG.md
  [#]# 6.0.3
  * Fix old gradient direction warning.
* Wed Sep  9 2015 coolo@suse.com
- updated to version 6.0.2
  see installed CHANGELOG.md
  [#]# 6.0.2
  * Remove unnecessary `-khtml-` prefix too.
  [#]# 6.0.1
  * Fix `cross-fade()` support (by 一丝).
* Sat Sep  5 2015 coolo@suse.com
- updated to version 6.0.0
  see installed CHANGELOG.md
  [#]# 6.0 “Eureka”
  [#] Remove Ruby on Rails 3 support.
  * Remove Ruby 1.9 support.
  * Remove `safe` option.
  * Remove Opera 12.1 from default query.
  * Add `image-set` support (by 一丝).
  * Add `mask-border` support (by 一丝).
  * Add `filter()` function support (by Vincent De Oliveira).
  * Add `backdrop-filter` support (by Vincent De Oliveira).
  * Add `element()` support (by Vincent De Oliveira).
  * Add CSS Regions support.
  * Add Scroll Snap Points support.
  * Add `writing-mode` support.
  * Add `::backdrop` support.
  * Add `cross-fade()` support.
  * Add other `break-` properties support.
  * Add Microsoft Edge support (by Andrey Polischuk).
  * Add `not` keyword and exclude browsers by query.
  * Add version ranges `IE 6-9` (by Ben Briggs).
  * Fix `filter` in `transition` support on Safari.
  * Fix `url()` parsing.
  * Fix `pixelated` cleaning.
  * Always show old gradient direction warning.
* Sat Aug 29 2015 coolo@suse.com
- updated to version 5.2.1.3
  see installed CHANGELOG.md
  [#]# 5.2.1.3
  * Update Can I Use database.
  * Update internal libraries.
* Sat Aug 15 2015 coolo@suse.com
- updated to version 5.2.1.2
  see installed CHANGELOG.md
  [#]# 5.2.1.2
  * Update Can I Use database.
  * Update internal libraries.
* Sat Jul 18 2015 coolo@suse.com
- updated to version 5.2.1.1
  see installed CHANGELOG.md
  [#]# 5.2.1.1
  * Update Can I Use database.
  * Update internal libraries.
* Mon Jun 22 2015 coolo@suse.com
- updated to version 5.2.1
  see installed CHANGELOG.md
  [#]# 5.2.1
  * Fix parent-less node issue on some cases (by Josh Gillies)
* Wed Jun 17 2015 coolo@suse.com
- updated to version 5.2.0.1
  see installed CHANGELOG.md
  [#]# 5.2.0.1
  * Update Can I Use database.
* Tue Jun  9 2015 coolo@suse.com
- updated to version 5.2.0
  * Add `appearance` support.
  * Warn users on old gradient direction or flexbox syntax.
  * Add `add: false` option to disable new prefixes adding.
  * Make Autoprefixer 30%% faster.
  * Add prefixes for `pixelated` instead of `crisp-edges` in `image-rendering`.
  * Do not add `::placeholder` prefixes for `:placeholder-shown`.
  * Fix `text-decoration` prefixes.
* Fri May 15 2015 jmassaguerpla@suse.com
- initial commit
